Bug 124708 - CRASH: Selecting all and deleting
Summary: CRASH: Selecting all and deleting
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high critical
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: filter:ppt, haveBacktrace
Depends on:
Blocks: PPT
  Show dependency treegraph
 
Reported: 2019-04-12 18:07 UTC by Xisco Faulí
Modified: 2019-11-11 12:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["sd::CustomAnimationClonerImpl::transformValue(com::sun::star::uno::Any const &)"]


Attachments
bt with debug symbols (gtk3) (14.41 KB, text/plain)
2019-06-12 19:50 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-12 18:07:06 UTC
Steps to reproduce:
1. Open attachment 68376 [details] from bug 35278
2. Go to slide 2
3. Select all
4. Delete

Reproduced in


Version: 6.3.0.0.alpha0+
Build ID: 3b518953a8141b0d5043c2f3996a92956fdc3a47
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 1 Xisco Faulí 2019-04-12 18:09:05 UTC
if it doesn't crash after deleting, it crashes after undoing the deletion...

also reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 raal 2019-04-13 05:47:13 UTC
I can confirm the crash  with Version: 6.3.0.0.alpha0+
Build ID: 31ac398cfa30694b18240d31df17a58d699b5bf6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 3 Xisco Faulí 2019-04-13 07:56:55 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Julien Nabet 2019-06-12 19:50:14 UTC
Created attachment 152145 [details]
bt with debug symbols (gtk3)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 Buovjaga 2019-09-22 14:46:30 UTC
Still crash

Version: 6.4.0.0.alpha0+ (x64)
Build ID: bda1d88f2bfa21202725ab9c567b3cccba3c1f0b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-15_04:18:20
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-11-08 22:32:34 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8023a613e978be42758c88d23f1973f7b9661676

Fix tdf#124708: CRASH: Selecting all and deleting

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-11-09 14:38:42 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 9336ae40d51e9a95ea31dd5fcfa5b67a9b2bafd7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Muhammet, thanks for fixing this issue! Should it be close as RESOLVED FIXED ?
Comment 8 Commit Notification 2019-11-09 16:22:19 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/947e9ffba8e5a8b18b46efcf06de998cea6edaa6

Fix tdf#124708: CRASH: Selecting all and deleting

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.